spring:
  application:
    name: javaServiceTreeFrameworkGlobalConfig
  mvc:
    async:
      request-timeout: 7200
    pathmatch:
      matching-strategy: ant_path_matcher

# actuator 설정
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    shutdown:
      enabled: true

server:
  port: 33133

logging:
  config: classpath:logback/logback-${spring.profiles.active}.xml

filename:
  system-info:
    prefix: system-info_
    base: system-info_base

springfox:
  documentation:
    swagger:
      v2:
        path: /global-config-api
    swagger-ui:
      base-url: /global-config-api